Get respondent information
POST
/get-respondent-info
const url = 'https://respondent.rex.dynata.com/get-respondent-info';const options = { method: 'POST', headers: { 'dynata-expiration': '2026-04-15T12:00:00Z', 'dynata-access-key': 'ABCD1234', 'dynata-signature': 'c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdf', 'Content-Type': 'application/json' }, body: '{"respondent_id":"user1234"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://respondent.rex.dynata.com/get-respondent-info \ --header 'Content-Type: application/json' \ --header 'dynata-access-key: ABCD1234' \ --header 'dynata-expiration: 2026-04-15T12:00:00Z' \ --header 'dynata-signature: c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdf' \ --data '{ "respondent_id": "user1234" }'The /get-respondent-info endpoint will return information about a respondent, including birth_date, gender, postal_code, and attributes. Learn more here.
Negative Answer Values
For negative answers, please refer to the table below for further details.
| answer_value | description |
|---|---|
-5 |
This attribute is derived from postal_code, but the respondent postal_code is invalid or unsupported. |
* |
All other negative answer values will only match filter cells if kind is ANSWERED or negate is true. The answer value will not match any quota cells. |
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”dynata-expiration
required
string format: date-time
RFC3339 timestamp indicating request expiration
dynata-access-key
required
string
Dynata provided access key
Example
ABCD1234dynata-signature
required
string
Signature created using the dynata methodology
Example
c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdfRequest Body
Section titled “Request Body”Media typeapplication/json
object
respondent_id
required
Partner’s respondent identifier. Accepts 100 characters, 3-byte chars.
string
Responses
Section titled “Responses”Respondent info retrieved
Media typeapplication/json
object
respondent_id
Partner’s respondent identifier. Accepts 100 characters, 3-byte chars.
string
language
string
country
string
is_active
boolean
is_suspended
boolean
gender
string
birth_date
string format: YYYY-MM-DD
postal_code
string
date_created
string format: date-time
attributes
object
key
additional properties
Array<integer>
Example
{ "respondent_id": "user1234", "language": "en", "country": "US", "gender": "male", "birth_date": "1990-01-01", "postal_code": "E15RX", "date_created": "1990-01-01T00:00:00Z", "attributes": [ { "123": [ 1 ] }, { "456": [ -2 ] }, { "789": [ 3, 4 ] } ]}Bad request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Invalid credentials
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Internal server error
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}